# ESLint-Config-JMD

This is my eslint setup for use in personal projects.
My aim is to gradually build on the ruleset over time, using airbnb standards as the foundation.


---
## Prerequisites
- npm 5.2.0 or greater


---
## How to use
Follow these instructions to add this eslint configuration to your project

1. Navigate to your project's folder. Example:
```
cd ./projects/my_project
```

2. If your project doesn't contain a package.json file use the `npm init` command and answer the questions in the setup wizard. 

3. Install this package's peer dependencies in your project with the following command: 
```js
npx install-peerdeps --dev eslint-config-jmd
```

4. Create a .eslintrc.json file which extends `"jmd"` and declares your project's environment. For example:
```js
{
  "extends": [
    "jmd"
  ],
  "env": {
    "node": true
  }
}
```
